from random import randint

import re
import sys


class CsvToMt940(object):

    def __init__(self):
        try:
            self.st_date = sys.argv[1]
        except IndexError:
            self.st_date = input('statement date (format: YYMMDD)==')

        self.st_nr = randint(100000000, 199999999)

    def dig_it(self, search_in, fl_point=100, pattern=r'\d+'):

        if re.search('-', search_in):
            return -int(''.join(re.findall(pattern, search_in))[:-2]) +\
                -int(''.join(re.findall(pattern, search_in))[-2:]) / fl_point
        else:
            return int(''.join(re.findall(pattern, search_in))[:-2]) +\
                int(''.join(re.findall(pattern, search_in))[-2:]) / fl_point


class TypeId:
    types = 'comis[a-z]*|commis[a-z]*|smart|fee|TFD|transfond|Int.[A-Za_z]*'
    COMMISION = 'NCOM'
    TRANSFER = 'NTRF'
    FEXCHANGE = 'NFEX'
